import React, { useState } from 'react';
import { Switch, Route } from 'react-router-dom';
import { UserProvider } from '../context/userinfo-context';

import NavBar from '../components/NavBar';
import Index from './Index/Index';
import Login from './Login/index';
import Equipment from './EquipmentContent/index';
import EquipmentTest from './Equipment/EquipmentTest';
import BindEquipment from './BindEquipment';
import NoMatch from './NoMatch';

function App() {
  const [title, setTitle] = useState('多彩运维');
  return (
    <div className='App'>
      <UserProvider>
        <Route render={props => <NavBar {...props} title={title} />} />
        <Switch>
          <Route
            exact
            path='/'
            render={props => <Index {...props} setTitle={setTitle} />}
          />
          <Route
            path='/login'
            render={props => <Login {...props} setTitle={setTitle} />}
          />
          <Route
            path='/BindEquipment'
            render={props => <BindEquipment {...props} setTitle={setTitle} />}
          />
          <Route
            path='/Equipment/:deviceCode'
            render={props => <Equipment {...props} setTitle={setTitle} />}
          />
          <Route
            path='/EquipmentTest'
            render={props => <EquipmentTest {...props} setTitle={setTitle} />}
          />
          <Route component={NoMatch} />
        </Switch>
      </UserProvider>
    </div>
  );
}

export default App;
