import React from 'react';
import PropTypes from 'prop-types';
import './style.scss';
import eqIcon from '../../images/Equipment/equip_number_icon@2x.png';
import UserInfoContext from '../../context/userinfo-context';
import JsBarcode from 'jsbarcode';

export class Index extends React.Component {
  static propTypes = {
    name: PropTypes.string,
    rateType: PropTypes.number,
    barcode: PropTypes.string,
  };
  constructor(props) {
    super(props);
    this.state = {
      showBig: false,
    };
  }

  componentWillMount() {
    const { setTitle } = this.props;
    setTitle('测试吹风');
  }
  componentDidMount() {
    this.createBarcode();
  }
  createBarcode = () => {
    const { barcode } = this.props;
    let barStr = `${barcode}1`;
    let dom = document.getElementById('BarCode');

    JsBarcode(dom, barStr, {
      margin: 0,
      height: 300,
    });
  };
  toggleBigBarCode = () => {
    const { showBig } = this.state;
    this.setState({
      showBig: !showBig,
    });
  };

  render() {
    const { deviceCode } = this.props.match.params;
    const { showBig } = this.state;
    return (
      <div className='appContent TestWater'>
        <div className={showBig ? 'BarCodeBox BarCodeBoxBig' : 'BarCodeBox'}>
          <div className={showBig ? 'BarCodeImg BarCodeImgBig' : 'BarCodeImg'}>
            <img id='BarCode' alt='' />
          </div>
          <div className='toggleBtn' onClick={this.toggleBigBarCode}>
            {showBig ? '缩小' : '放大'}
          </div>
        </div>
        <div className='inputBox'>
          <i className='inputIcon'>
            <img src={eqIcon} alt='' />
          </i>
          <span className='ellipsis inputText'>
            设备编号：
            {deviceCode}
          </span>
        </div>
      </div>
    );
  }
}

export default props => (
  <UserInfoContext.Consumer>
    {({ userinfo }) => (
      <Index
        {...props}
        rateType={userinfo.position.mode}
        barcode={userinfo.barcode}
      />
    )}
  </UserInfoContext.Consumer>
);
